org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcQueryExecuteRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcQueryExecuteRequest

All Implemented Interfaces:
  ClientListenerRequest, JdbcRawBinarylizable

    public class JdbcQueryExecuteRequest
    extends JdbcRequest

JDBC query execute request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`BATCH_EXEC`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`JdbcQueryExecuteRequest(JdbcStatementType stmtType, String schemaName, int pageSize, int maxRows, String sqlQry, Object[] args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `arguments()`
`JdbcStatementType` `expectedStatementType()`
`int` `maxRows()`
`int` `pageSize()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `schemaName()`
`String` `sqlQuery()`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`readRequest, type`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcQueryExecuteRequest

    public JdbcQueryExecuteRequest(JdbcStatementType stmtType,
                                   String schemaName,
                                   int pageSize,
                                   int maxRows,
                                   String sqlQry,
                                   Object[] args)

Parameters:
  `stmtType` - Expected statement type.
  `schemaName` - Cache name.
  `pageSize` - Fetch size.
  `maxRows` - Max rows.
  `sqlQry` - SQL query.
  `args` - Arguments list.

### Method Detail

#### pageSize

    public int pageSize()

Returns:
  Fetch size.

#### maxRows

    public int maxRows()

Returns:
  Max rows.

#### sqlQuery

    public String sqlQuery()

Returns:
  Sql query.

#### arguments

    public Object[] arguments()

Returns:
  Sql query arguments.

#### schemaName

    @Nullable
    public String schemaName()

Returns:
  Schema name.

#### expectedStatementType

    public JdbcStatementType expectedStatementType()

Returns:
  Expected statement type.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcRequest`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcRequest`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018